org.eclipse.mat.ui.snapshot

## Class RuntimeListDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.ui.dialogs.SelectionDialog
        - - org.eclipse.ui.dialogs.ListDialog
          - - org.eclipse.mat.ui.snapshot.RuntimeListDialog

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class RuntimeListDialog
    extends org.eclipse.ui.dialogs.ListDialog

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`org.eclipse.jface.window.Window.IExceptionHandler`

### Field Summary

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK`

### Constructor Summary

Constructors
Constructor and Description
`RuntimeListDialog(org.eclipse.swt.widgets.Shell parent, MultipleSnapshotsException mre)`

### Method Summary

### Methods inherited from class org.eclipse.ui.dialogs.ListDialog

`getHeightInChars, getTableViewer, getWidthInChars, setAddCancelButton, setContentProvider, setHeightInChars, setInput, setLabelProvider, setWidthInChars`

### Methods inherited from class org.eclipse.ui.dialogs.SelectionDialog

`getOkButton, getResult, setDialogBoundsSettings, setInitialElementSelections, setInitialSelections, setMessage, setTitle`

### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

`closeTray, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, close, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RuntimeListDialog

    public RuntimeListDialog(org.eclipse.swt.widgets.Shell parent,
                             MultipleSnapshotsException mre)